Dia

To jest wersja 0.1 podręcznika Dia.

Copyright © 2000 Kevin Breit, Henry House, Judith Samson

Zezwolenie obejmuje kopiowanie, rozpowszechnianie i/lub modyfikowanie dokumentu zgodnie z zasadami licencji GNU Free Documentation License w wersji 1.1 lub dowolnej późniejszej opublikowanej przez Free Software Foundation bez niezmiennych akapitów i ukrytej treści. Kopię licencji GNU Free Documentation License można pobrać ze strony www Free Software Foundation pod adresem www.fsf.org lub po napisaniu na adres: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Wiele z nazw używanych przez firmy do oznaczania swoich produktów oraz usług jest traktowana jako znaki handlowe. Wszędzie gdzie te nazwy pojawiają się w dowolnej dokumentacji GNOME, i zostały dostrzeżone przez członków GNOME Documentation Project zaznaczono je wersalikami.

Table of Contents

1. Quickstart
1.1. Co można zrobić?
1.2. Uruchamianie Dia
1.3. Szybkie rozpoczęcie
1.4. Tworzenie płócien
1.5. Tworzenie diagramu
1.6. Zapisywanie i drukowanie diagramów
1.7. Who Does Dia Appeal To?
2. Płótna
2.1. Wprowadzenie do płócien
2.2. Siatki
2.3. Suwaki
2.4. Kolor tła
2.5. Skalowanie
3. Obiekty
3.1. Wprowadzenie do obiektów
3.2. Używanie obiektów
3.2.1. Dodawanie obiektów
3.2.2. Przemieszczanie obiektów
3.2.3. Zmiana rozmiarów obiektów
3.2.4. Usuwanie obiektów
3.2.5. Właściwości linii
3.2.6. Style linii
3.2.7. Grubość linii
3.2.8. Strzałki
3.2.9. Kolory linii
3.3. Właściwości obiektu
3.4. Kolory
5. Obiekty specjalne
5.1. Wprowadzenie do obiektów specjalnych
5.2. Kategorie obiektów specjalnych
6. Wybieranie obiektów
6.1. Wprowadzenie do wybierania obiektów
6.2. Jak wybierać obiekty
6.2.1. Zaznaczanie podstawowe
6.2.2. Wybieranie wielu obiektów
6.2.3. Inne metody wybierania obiektów
6.2.4. Wybieranie połączonych obiektów
6.2.5. Wybieranie przechodnich obiektów
6.2.6. Wybieranie obiektów tego samego typu
7. Wczytywanie i zapisywanie diagramów
7.1. Wprowadzenie do wczytywania i zapisywania
7.2. Typy plików
7.2.1. Własne pliki formatu Dia
7.2.2. Eksportowanie: Obsługa innych formatów
8. Dostosowywanie
8.1. Dostosowywanie
?. Zarządzanie warstwami
?.1. Wprowadzenie do warstw
?.2. Podstawy zarządzania warstwami
?.2.1. Tworzenie nowej warstwy
?.2.2. Wybieranie warstw
?.2.3. Ustawianie kolejności warstw
?.2.4. Usuwanie warstw
?.3. Przeglądanie warstw
9. Authors
10. Licencja
10.1. Licencja

List of Figures

1.1. Demo
3.1. Kropki dopasowujące
3.2. Właściwości linii


Chapter 1. Quickstart

Table of Contents

1.1. Co można zrobić?
1.2. Uruchamianie Dia
1.3. Szybkie rozpoczęcie
1.4. Tworzenie płócien
1.5. Tworzenie diagramu
1.6. Zapisywanie i drukowanie diagramów
1.7. Who Does Dia Appeal To?


1.1. Co można zrobić?

Dia jest aplikacją do tworzenia diagramów tworzoną przez wiele osób. Dia jest łatwym do nauczenia programem oraz elastyczną na tyle aby zadowolić wymagających użytkowników nie czujących się dobrze w domu bez swoich komercyjnych narzędzi. Poniżej przedstawiony został przykład co można osiągnąć w pięć minut posługując się programem Dia.

Figure 1.1. Demo


1.2. Uruchamianie Dia

Można uruchomić Dia przechodząc do sekcji Aplikacji w głównym Menu oraz klikając ikonę Dia. Lub też można wpisać polecenie dia w oknie terminala.


1.3. Szybkie rozpoczęcie

Szybkie rozpoczęcie pracy z Dia dla osób, które nie chcą czytać całego podręcznika aby stworzyć prosty diagram.


1.4. Tworzenie płócien

Wczystkie diagramy są rysowane na swoich własnych płótnach. Aby utworzyć nowe płótno należy wybrać Plik->Nowy diagram Pojawi się nowe płótno okna.


1.5. Tworzenie diagramu

Diagram jest zbudowany z obiektów. Obiekty mieć różne kolory, kształty oraz rozmiary. Zawierają one wszystko od 2-bitowych obrazów przez pełnokolorowe obrazy z tekstem.

Aby dodać obiekt do płótna, kliknij obiekt w skrzynce narzędziowej i kliknij na płótno. Pojawi się wybrany obiekt. Obiektem można manipulować głównie za pomocą klikania i przeciągania narożnych zielonych przycisków.

W skrzynce narzędziowej można kliknąc podwójnie dowolny obiekt aby zobaczyć jego zaawansowane właściwości. Umożliwia to dostosowanie kształtu stosu do wymagań użytkownika.

Warstwy umożliwiają tworzenie wielu obrazów tak jakby były jednym obrazem. Użytkownik może modyfikować jedną warstwę bez martwienia się że wpłynie to na inne warstwy.

Przezroczystość umożliwia obiektom posiadanie przezroczystych części, więc wszystko co znajduje się pod przezroczystym obszarem obiektu jest widoczne.

Wtyczki umożliwiają przeciętnemu użytkownikowi na łatwe dodawanie nowych typów obiektów do Dia, aby pomóc rozwinąć funkcjonalnośc programu.


1.6. Zapisywanie i drukowanie diagramów

Dia obsługuje zapisywanie i drukowanie ich za pomocą drukarek. Jeśli w systemie zainstalowan gnome-print, drukowanie jest bardzo proste!

Polecenie drukowania można znaleźć w menu Plik po kliknięciu prawym przyciskiem myszy na płótno diagramu.

Dia obsługuje eksportowanie do wielu formatów przydających się m.inn. przy publikacjach na strony www. Kilka z nich:

  • Computer Graphics Metafile (.cgm)

  • Encapsulated Postscript (.eps)

  • Własny format Dia (.dia)

  • Portable Network Graphics (.png)

  • Scalable Vector Graphics (.svg)


1.7. Who Does Dia Appeal To?

Dia przydaje się wielu osobom pracującym w wielu różnych dziedzinach.

  • Inżynier od spraw elektrycznych może używać Dia do tworzenia diagramu opisującego sposób pracy swojego obwodu.

  • Programista komputerowy może użyć wykresu przepływu aby opisać ścieżkę wykonywania swojego programu.

  • Administrator sieci może ustowrzyć diagram wyświetlający układ sieci korporacyjnej.


Chapter 2. Płótna

Table of Contents

2.1. Wprowadzenie do płócien
2.2. Siatki
2.3. Suwaki
2.4. Kolor tła
2.5. Skalowanie


2.1. Wprowadzenie do płócien

Płótna są główną częścią Dia. Płótno Dia jest oknem gdzie umieszczane i przemieszczane są wszystkie obiekty użytkownika. Gdy diagram jest drukowany lub zapisywany, zostaje także zapisana treść płótna.


2.2. Siatki

Siatki przypominają linie papieru w kratkę. Umożliwiają użytkownikowi łatwe wyrównanie obiektów na płótnie. Linie siatki mogą być ukrywane przez przejście do menu Plik -> Preferencje . i w zakładce Linie siatki, użytkownik powinien ustawić odpowiednią opcję.


2.3. Suwaki

Suwaki pojawiają się na górze i po lewej stronie płótna Dia Wyświetlają w centymetrach wielkość płótna.

Każdy suwak posiada strzałkę. Strzałka przesuwa suwak do pozycji wskaźnika myszy. Na przykład jeśli użytkownik przesunie mysz w górę, strzałka suwaka przesunie się do góry wskazując zmianę. Strzałki są użyteczne w przypadku, gdy obiekt powinien zostać ustawiony dokładnie w określonym punkcie diagramu.

Suwaki, w przeciwieństwie do linii siatki, nie mogą być usunięte.


2.4. Kolor tła

Opcja koloru tła umożliwia zmianę wyglądu tła na płótnie. Domyślnie kolorem tła jest biały, jednak można to zmienić za pomocą opcji menu Widok + Właściwości diagramu -> Tło i klikając na pasek. Pasek wyświetla aktualny kolor tła. Linie siatki zmienią swój kolor automatycznie, aby być widocznymi jeśli kolor tła zostanie zmieniony na czarny.


2.5. Skalowanie

Skalowanie umożliwia użytkownikowi wykonanie zbliżenia diagramu. To pomaga w precyzyjnym rysowaniu elementów diagramu.

Płótna mogą być powiększane do 400%. Powiększenia można dokonać poprzez kliknięcie lupy powiększenia w skrzynce narzędziowej i następnie klikniecie na płótnie. Aby pomniejszyć diagram należy przytrzymać klawisz shift i ponownie kliknąć przycisk myszy na płótnie.


Chapter 3. Obiekty

Table of Contents

3.1. Wprowadzenie do obiektów
3.2. Używanie obiektów
3.2.1. Dodawanie obiektów
3.2.2. Przemieszczanie obiektów
3.2.3. Zmiana rozmiarów obiektów
3.2.4. Usuwanie obiektów
3.2.5. Właściwości linii
3.2.6. Style linii
3.2.7. Grubość linii
3.2.8. Strzałki
3.2.9. Kolory linii
3.3. Właściwości obiektu
3.4. Kolory


3.1. Wprowadzenie do obiektów

Obiekty w programie Dia używane są do narysowania diagramu. Mogą nimi być kształty wstępnie zdefiniowane w programie, jak również stworzone przez użytkownika.


3.2. Używanie obiektów

3.2.1. Dodawanie obiektów
3.2.2. Przemieszczanie obiektów
3.2.3. Zmiana rozmiarów obiektów
3.2.4. Usuwanie obiektów
3.2.5. Właściwości linii
3.2.6. Style linii
3.2.7. Grubość linii
3.2.8. Strzałki
3.2.9. Kolory linii


3.2.1. Dodawanie obiektów

Dodanie obiektu do diagramu tworzonego za pomocą Dia odbywa się poprzez kliknięcie na żądany obiekt w pasku narzędziowym w celu wyboru rodzaju obiektu, który ma być narysowany. Następnie poprzez kliknięcie na płótno diagramu można umieścić wybrany obiekt w diagramie.

Dia umożliwia korzystanie z dwóch typów obiektów:

  • Obiekty definiowane przez użytkownika pozwalają na tworzenie własnych obiektów opartych na wstępnie stworzonym szablonie.

    Na przykład klikając na kwadratowy obiekt i umieszczając go na diagramie stworzony zostanie kwadrat. Jednak wymiary obiektu mogą zostać zmienione. Więcej informacji można znaleźć w rozdziale Zmiana rozmiaru obiektów

  • Obiekty wstępnie zdefiniowane są w większości zaprojektowane w sposób uniemożliwiający ich modyfikację. Można zmieniać ich rozmiar, lecz same obiekty nie mogą być zmieniane.


3.2.2. Przemieszczanie obiektów

W momencie gdy obiekt jest umieszczany na płótnie, wraz z nimp ojawia się mała zielona ramką opisującą krawędzie.

Figure 3.1. Kropki dopasowujące

Przestrzeń wewnątrz ramek jest przestrzenią obiektu. Kliknięcie i przytrzymanie a następnie przesunięcie kursora myszy przemieszcza również obiekt w inne miejsce na diagramie.


3.2.3. Zmiana rozmiarów obiektów

Poprzedni akapit wyjaśniał koncepcję zielonych ramek. Są one używane do zmiany romiarów obiektu. Aby je zmienić należy kliknąć zielonej ramce klawisz myszy. Przytrzymując klawisz można za pomocą zmiany pozycji kursora myszy zmienić rozmiar obiektu. Zwolnienie klawisza ustawia żądany romiar.

W tym samym czasie narożne zielone przycisku zmienią swoją wysokość i szerokość. Dwa na górnej i dolnej krawędzi, w centrum zmienią wysokość zaś dwa na lewej i prawej krawędzi, w centrum zmienią szerokość.

[Tip] Tip

Aby przeciągnąć z użyciem przycisków narożnych, lecz zachować przy tym proporcie, należy czasie zmiany rozmiaru przytrzymać klawisz shift. Ta funkcja może być stosowana do specjalnych obiektów, nie dla regularnych kształtów.


3.2.4. Usuwanie obiektów

Aby usunąć obiekt, należy go wybrać za pomocą kliknięcia. Pojawią się zielone skrzynki. Naciśnięcie sekwencji klawiszy Ctrl+D spowoduje zniknięcie obiektu.


3.2.5. Właściwości linii

Jednym z obiektów programu Dia jest linia. Linia symbolizowana jest poprzez poniższą ikonę: objects is the line. The line


3.2.6. Style linii

Linie mogą być w prosty sposób modyfikowane w celu tworzenia elementów jak np. strzałki. Na dole skrzynki narzędziowej znajdują się 3 przyciski z symbolami linii. Kliknięcie i przytrzymanie spowoduje otwarcie menu demonstrującego wygląd linii.

Figure 3.2. Właściwości linii

Linie mogą być określane różnymi typami stylów takimi jak:

  • Ciągła

  • Kreskowana

  • Kropka-kreska

  • Kreska-kropka-kropka

  • Kropkowana


3.2.7. Grubość linii

Grubość linii może być modyfikowana przez kliknięcie pięciu różnych symboli grubości z prawej strony przybornika kolorów.


3.2.8. Strzałki

Narzędzie do tworzenia linii może być także użyte do tworzenia strzałek. Kliknięcie dwóch bocznych przycisków na dole skrzynki narzędziowej spowoduje rozwinięcie menu wyświetlającego dostępne projekty strzałek początku i zakończenia.


3.2.9. Kolory linii

Kolor linii może być modyfikowany za pomocą podwójnego kliknięcia na po umiejscowieniu jej na obszarze projektu. Pojawi się okno. Druga linia określona jako "Kolor linii" z paskiem demonstrującym wybrany kolor. Poprzez kliknięcie paska, można zmienić kolor linii.


3.3. Właściwości obiektu

Każdy obiekt posiada swoje własne przypisane do niego właściwości. Można się do nich dostać poprzez podwójne kliknięcie obiektu znajdującego się już na obszarze projektu. Pojawi się okno umożliwiające modyfikację wielu właściwości włączając między innymi:

  • Długość linii

  • Kolor linii


3.4. Kolory

Wszystkie obiekty mogą być kolorowane na wiele sposobów, zależnie od upodobań użytkownika.

Kontrolka kolorów umieszczona jest na dole skrzynki narzędziowej. Dwa kwadraty umożliwiają kontrolę nad kolorem. Lewy górny określa kolor główny. Prawy dolny określa kolor tła. Aby zmodyfikować kolory, należy kliknąć na żądaną skrzynkę i wybrać kolor w wyświetlonym oknie kolorów.

[Note] Note

Ta kontrolka umożliwia tylko wybór kolorów obiektów, które nie zostały jeszcze umieszczone w projekcie.

[Tip] Tip

Aby odwrócić kolory, należy kliknąć na małą strzałkę na prawo i w górę od dwóch skrzynek wyboru koloru.

[Tip] Tip

Aby przywrócić domyślne kolory, należy kliknąć na czarnej i białej skrzynce na prawo i w dół od przybornika kolorów.


Chapter 5. Obiekty specjalne

Table of Contents

5.1. Wprowadzenie do obiektów specjalnych
5.2. Kategorie obiektów specjalnych


5.1. Wprowadzenie do obiektów specjalnych

Poprzedni rozdział wyjaśniał czym jest obiekt podstawowy. Następny rozdział wyjaśni sposób tworzenia obietków, sposób używania stworzonych obiektów, które są bardziej szczegółowe niż kształty oraz wiele innych rzeczy!


5.2. Kategorie obiektów specjalnych

Obiekty specjalne można podzielić na różne kategorie. Dzięki temu, użytkownik może stworzyć diagram obwodu elektrycznego z elementów przypisanych do danej kategorii. Dia obsługuje wiele wstępnie zdefiniowanych kategorii.

Obwody elektryczne

Grupa dla osób zainteresowanych tworzeniem diagramów obwodów elektrycznych.

Układy drabinkowe

Ten rozdział jest pod kontrolą autora dokumentacji.

ER

Edytor do tworzenia diagramów relacji ERD.

FS

Edytor do tworzenia diagramów struktury funkcji.

Diagramy przepływów

Grupa przeznaczona do udostępniania kształtów używanych przy tworzeniu diagramów przepływu. Diagramy przepływu można często spotkać przy programowaniu, w marketingu, ekonomii oraz innych półliniowych działaniach wymagających planowania.

GRAFCET

Wykres diagramów kroku, akcji, przesyłania oraz warunków związanych z przesyłaniem.

SADT

Dobre pytanie!

UML

Odnośnik poniżej

Wykres zegarowy

Używa obiektów przy projektowaniu wykresów zegarowych. Najczęściej bazujące na liniach czasu.

Sieć

Kategoria używana przez administratorów sieci do tworzenia projektów swoich sieci.

Sybase

Tworzenie diagramów przepływu sieci komputerowej Sybase.

Obwody elektryczne

Wyświelanie obwodu elektrycznego.

Pnumatyka/Hydraulika

Umożliwia tworzenie diagramów urządzeń dających pracę hydraulikom.


Chapter 6. Wybieranie obiektów

Table of Contents

6.1. Wprowadzenie do wybierania obiektów
6.2. Jak wybierać obiekty
6.2.1. Zaznaczanie podstawowe
6.2.2. Wybieranie wielu obiektów
6.2.3. Inne metody wybierania obiektów
6.2.4. Wybieranie połączonych obiektów
6.2.5. Wybieranie przechodnich obiektów
6.2.6. Wybieranie obiektów tego samego typu


6.1. Wprowadzenie do wybierania obiektów

Wybieranie obiektów jest prawdopodobnie najczęstszą operacją w trakcie pracy z programem Dia. Od chwili stworzenia obiektu do obmyślania wyglądu tworzonego diagramu zawsze można wybrierać obiekty aby poprawnie je ustawić.

Po wybraniu obiektów, należy przemieścić zaznaczenie na obiekt do modyfikacji. Nieznaznaczony obiekt nie może być modyfikowany.

Wybieranie obiektów może być dokonywane na wiele różnych sposobów, także można przeprowadzić wiele działań na wybranych obiektach.

Można wybierać obiekty w celu przemieszczenia ich w diagramie lub do pogrupowania ich w logiczny sposób w celu łatwiejszej ich manipulacji, łączenia z innymi lub po prostu w celu usunięcia ich z diagramu.


6.2. Jak wybierać obiekty

6.2.1. Zaznaczanie podstawowe
6.2.2. Wybieranie wielu obiektów
6.2.3. Inne metody wybierania obiektów
6.2.4. Wybieranie połączonych obiektów
6.2.5. Wybieranie przechodnich obiektów
6.2.6. Wybieranie obiektów tego samego typu


6.2.1. Zaznaczanie podstawowe

Podstawowym sposobem wybierania obiektów jest klikanie na nich.

Po wybraniu obiektu pojawia się on z małymi zielonymi punktami przy wierzchołkach oraz na brzegach.

Po pojawieniu się zielonych punktów, można rozpocząć manipulację tymi obiektami. Po jej zakończeniu można odznaczyć obiekty klikając wolną przestrzeń diagramu, wówczas zielone punkty znikną umożliwiając wybór innych obiektów.


6.2.2. Wybieranie wielu obiektów

Najprostszym sposobem wybierania więcej niż jednego obiektu na raz jest kliknięcie na wolną przestrzeń diagramu z wciśniętym lewym przyciskiem myszy oraz przesunięcie kursora z przytrzymanym klawiszem. Spowoduje to narysowanie prostokąta na płaszczyźnie diagramu i zaznaczenie obiektów obecnych w jego obrębie po zwolnieniu przycisku.

Innym sposobem na zaznaczenie jest przytrzymanie klawisza Shift w trakcie wybierania obiektów klikając je pojedynczo.

Po zakończeniu wybierania, każdy wybrany obiekt musi pojawić się ze swoimi zielonymi punktami opisanymi powyżej.

Zaznaczanie wielu plików jest użyteczne przy przeprowadzaniu tej samej operacji na różnych obiektach, dzięki temu można zaoszczędzić więcej czasu niż w przypadku zaznaczania obiektów po kolei.

Po zaznaczeniu, obiekty zachowują się jak grupa. Oznacza to, że podczas ich przemieszczania, przemieszczona zostaje cała grupa. To samo dotyczy ich usuwania - cała grupa zostanie usunięta z diagramu po wybraniu tej operacji.

Następnie jeśli kliknięta zostanie pusta płaszczyzna diagramu lub też warstwa zostanie zmieniona na inną, zaznaczenie zostanie anulowane. Jeśli trzeba dodać więcej obiektów do zaznaczenia, należy po prostu przytrzymać klawisz Shift i kliknąć na obiekt do dodania.

[Note] Note

Przy założeniu, że wybrano kilka obiektów na diagramie, wciąż możliwa jest zmiana rozmiaru jednego z nich bez zmiany rozmiaru czy pozycji innych wybranych obiektów. Aby dowiedzieć się jak zmieniać rozmiary obiektów należy zajrzeć do rozdziału opisującego zmianę rozmiarów obiektów.


6.2.3. Inne metody wybierania obiektów

Inne metody wybierania obiektów są opisane poniżej, do wszystkich tych opcji można dostać się przez główne menu podręczne z menu Wybierz :

Wybieranie wszystkich obiektów

Wybranie opcji Wszystko pozwala na wybranie obiektów obecnych w bieżącej warstwie w taki sam sposób jakbyśmy zrobili to ręcznie.

Ta opcja jest skrótem przydatnym gdy diagram zawiera wiele obiektów i użytkownik nie chce tracić czasu na wybieranie ich pojedynczo.

Odznaczanie wszystkich obiektów

Wybranie opcji Nic spowoduje odznaczenie wcześniej wybranych obiektów. Ten sam efekt daje kliknięcie każdej wolnej części diagramu.

Po odznaczeniu obiektów nie można przeprowadzić na nich żadnej operacji. Więc należy je wybrać ponownie aby kontynuować.

[Tip] Tip

Często zachodzi potrzeba trwałego wybrania obiektów, aby to zrobić, można utworzyć dowolną grupę z dowolnych obiektów lub wyciąć i wkleić je jako nową warstwę, która będzie zawierała obiekty zaznaczenia.

Aby dowiedzieć się więcej na temat zarządzania grupami należy zajrzeć do odpowiedniego rozdziału podręcznika poświęconego temu zagadnieniu. Informacje na temat warstw również umieszczone są w osobnym rozdziale poświęceonym warstwom.

Odwracanie zaznaczenia

Załóżmy że diagram zawiera dziesięć obiektów a my chcemy wybrać tylko osiem z nich. Jedną z metod zaznaczenia tych ośmiu obiektów jest wybranie opcji Odwróć z menu Wybierz.

Po prostu należy zaznaczyć dwa niepotrzebne obiekty ręcznie, a potem zaznaczyć opcję Odwróć. Wówczas zostanie wybrane osiem pozostałych obiektów a wcześniej zaznaczone dwa zostaną pominięte.

[Tip] Tip

Inną metodą jest wybranie za pomocą opcji Wszystko obiektów opisanych powyżej a następnie wraz z przytrzymanym klawiszem Shift wybranie obiektów, które nie są potrzebne.

[Note] Note

Wybierać można tylko obiekty obecne w bieżącej warstwie. Jeśli obiekt nie chce się wybrać, oznacza to prawdopodobnie, że jest umieszczony w innej warstwie. Aby dowiedzieć się jak zmienić bieżącą wartstwę oraz jak manipulować wieloma warstwami, zajrzyj do rozdziału Zarządzanie warstwami.


6.2.4. Wybieranie połączonych obiektów

Jedną z użytecznych i wydajnych funkcji Dia jest jej możliwość zarządzania połączeniami między obiektami.

Połączenia w Dia, mogą być wykorzystywane do wielu celów. Pierwszym, ale nie ostatnim, jest odpowiednie określenie bezpośrednich związków pomiędzy dwoma obiektami.

Drugi to łatwiejsze zarządzanie obiektami które zachowują się bardziej efektywnie po ustaleniu odpowiednich zasad i można uzyskać do nich dostęp poprzez kilka kliknięć przycisku myszy.

[Note] Note

Aby poznać więcej korzyści, które daje łączenie różnych obiektów razem, należy przeczytać rozdział Łączenie obiektów.

Wybieranie obiektów połączonych z pewnym obiektem jest tak proste jak wybieranie tego określonego obiektu. Należy kliknąć prawym przyciskiem myszy na płótnie aby otworzyć główne menu podręczne i kliknąć opcję Wybierz->Połączone

Jeśli ten obiekt nie jest połączony z innym obiektem, operacja ta nie przyniesie efektów. W innym przypadku połączone obiekty zostaną magicznie wybrane i uformują nową grupę tymczasowo wybranych obiektów.

[Note] Note

Jeśli operacja zostanie ponownie powtódzona, wszystkie połączone obiekty do tej nowej grupy zostaną dodane do zaznaczenia.

Można powtarzać operację do czasu aż zostaną wybrane wszystkie połączone ze sobą obiekty.


6.2.5. Wybieranie przechodnich obiektów

Technika pokazana wyżej jest dobra jeśli w pewnym momencie zachodzi potrzeba wybrania małej liczby połączonych obiektów.

Czasami trzeba wybrać całą grupę obiektów połączonych ze sobą. Ten sposób wybierania obiektów krok po kroku nie jest wydajny. efficient.

To jest powód tego, że Dia oferuje możliwość przeprowadzenia wszystkich kroków za jednym razem.

Aby to uczynić, należy wybrać główny obiekt do zaznaczenia a następnie kliknąć płótno aby rozwinąć na ekranie główne menu podręczne, lecz tym razem należy wybrać Wybierz->Przechodnie zamiast Połączone.

I to wszystko, wszystkie obiekty, które były połączone do obiektu początkowego zostały wybrane i można na nich wykonywać różne działania, których zażyczy sobie użytkownik.


6.2.6. Wybieranie obiektów tego samego typu

Dia implementuje różne triki umożliwiające wybór obiektów wskazanego typu.

Oznacza to, na przykład, że jeśli użytkownik chce wybrać obiekty spełniające to samo kryterium przynależności do typu (wszystkie prostokąty, linie lub własne kształty), można to uczynić wybierając obiekt żądanego typu i klikając w głównym menu podręcznym, opcję Wybierz->Ten sam typ.

Obiekty tego samego typu co wybrany zostaną automatycznie zaznaczone. W skład zaznaczenia będą wchodziły tylko obiekty obecne w bieżącej warstwie.


Chapter 7. Wczytywanie i zapisywanie diagramów

Table of Contents

7.1. Wprowadzenie do wczytywania i zapisywania
7.2. Typy plików
7.2.1. Własne pliki formatu Dia
7.2.2. Eksportowanie: Obsługa innych formatów


7.1. Wprowadzenie do wczytywania i zapisywania

Dia korzysta z modelu zapisu wkorzystywanego przez wiele aplikacji nabiurkowych: należy zapisać odpowiednio dowolne płótna, które mają być zachowane do późniejszego użycia. Aby zapisać plik należy wybrać opcje Plik->Zapisz z głównego menu podręcznego. Otwarte zostanie okno zapisu. Płótno jest zapisywane w formacie XML Dia. Nie jest dodawane automatycznie żadne rozszerzenie, więc dobrym pomysłem jest odpowiednie dodanie rozszerzenia '.dia' do wprowadzonej nazwy.

Aby wczytać płótno z pliku poprzednio zapisanego przez Dia lub stworzonego przez inną aplikację należy wybrać opcje Plik->Otwórz... z głównego menu podręcznego. Wyświetlone zostanie okno otwierania; należy wybrać plik i kliknąć przycisk Otwórz. Okno otwierania jest standardowe z wyjątkiem podręcznego menu z napisem Określ typ pliku. Należy wybrać format otwieranego pliku (Dia XML lub Drawing Interchange) jeśli Dia automatycznie nie wykryje formatu pliku.

Alternatywną metodą wczytania pliku jest uruchomienie Dia z wiersza poleceń z nazwą poliku podaną jako argument.


7.2. Typy plików

7.2.1. Własne pliki formatu Dia
7.2.2. Eksportowanie: Obsługa innych formatów

Należy się klika słów na temat typów plików. Zalecana jest ostrożność gdyż nie wszystkie typy plików mogą być ponownie wczytane do Dia po ich zapisaniu i wiele obsługiwanych formatów traci w pewnym stopniu zapisywaną informację.


7.2.1. Własne pliki formatu Dia

Jedynym gwarantującym zachowanie wszystkich informacji formatem jest Dia XML. Na szczęście rzadko będzie zachodziła potrzeba zapisu pliku w stratnym formacie gdyż opcja Plik->Zapisz zawsze tworzy plik w formacie Dia XML.

Pliki w formacie Dia XML są automatycznie kompresowane przy użyciu programu gzip i zapisywane na dysk. To jest konieczne gdyż, bez kompresji, nawet proste diagramy byłyby bardzo duże z powodu przechowywana powielonych informacji. Ponieważ pliki Dia XML są już skompresowane nie należy próbować kompresować ich ręcznie —to nic nie da.


7.2.2. Eksportowanie: Obsługa innych formatów

Dia obsługuje eksportowanie do wielu innych typów plików takich jak:

  • Computer Graphics Metafile

  • HPGL

  • EPS

  • PNG

  • SVG

  • TeX

  • WPG

Dia nie potrafi wczytać plików w tych formatach. Te formaty są użyteczne przy diagramach nie wymagających innych aplikacji lub do rozpowszechniania dla użytkowników innych systemów operacyjnych nie obsługiwanych przez Dia.

Aby ustworzyć plik w jednym z tych formatów, należy wybrać Plik->Otwórz... z głównego menu podręcznego. Należy wybrac także nazwę oraz żądany format w oknie wyników zachowującym się podobnie jak okno zapisu. Odpowiednie rozszerzenie pliku dodawane jest automatycznie.


Chapter 8. Dostosowywanie

Table of Contents

8.1. Dostosowywanie


8.1. Dostosowywanie

Program Dia może być zmieniany na wiele sposobów, umożliwiając użytkownikowi dostosowanie go do własnych potrzeb.

Aby zmienić preferencje zachowania aplikacji należy wybrać File->Preferencje... z głównego paska menu. This opens the Preferences dialog, shown in

The configurable properties in the User Interface tab are:

  • Reset tools after create — If this button is checked…

  • Number of undo levels customizes how many steps that the undo tool remembers. Higher numbers let the user go back more steps to fix an error, but take up more memory.

  • Width controls the width, in pixels, of a new diagram.

  • Height controls the height, in pixels, of a new diagram.

  • Magnify sets a multiplier that controls what the default zoom level on a new diagram is.

  • Snap To allows makes objects attract to a grid created by the program. This makes it easier for the user to align objects, as separate objects snap to the same line.

  • X Size lets the user set a multiplier which sets how far the horizontal grid lines are from eachother.

  • Y Size lets the user set a multiplier which sets how far the vertical grid lines are from eachother.

  • Colour sets the color that the grid lines display as.

After you have made all the changes you want, click on OK to apply the changes and close the Preferences dialog. To cancel the changes and return to previous values, click the Close button. You may preview the effect of your changes using the Apply button.


Chapter ?. Zarządzanie warstwami

Table of Contents

?.1. Wprowadzenie do warstw
?.2. Podstawy zarządzania warstwami
?.2.1. Tworzenie nowej warstwy
?.2.2. Wybieranie warstw
?.2.3. Ustawianie kolejności warstw
?.2.4. Usuwanie warstw
?.3. Przeglądanie warstw


?.1. Wprowadzenie do warstw

W programie Dia, warstwy są zarządzane za pomocą Okna warstw i wszystkie związane z warstwami operacje mogą być tam wykonywane.

Zasadniczym celem warstw jest ułatwienie grupowania powiązanych obiektów na diagramie. Umożliwiają one oddzielenie różnych części diagramu w sposób w jaki życzy sobie tego użytkownik oraz wyświetlenie tylko niektórych jego części, podczas gdy inne elementy zostaną ukryte w trakcie eksportowania lub wydruku diagramu.

Dowolna operacja którą użytkownik chce przeprowadzić na obiektach wewnątrz warstwy jest możliwa dzięki Podręcznemu Menu. Można tam wybrać rodzaj operacji, które zostnie przeprowadzona na warstwie.

[Note] Note

Wybierane mogą być tylko obiekty obecne w bieżącej warstwie. Jeśli obiekt nie powinien zostać wybrany, należy zaznaczyć czy umieszczony jest on w bieżącej warstwie czy też w innej.

Domyślnie każdy nowy diagram tworzony jest z domyślną warstwą Tła. Oczywiście można zmienić jej nazwę oraz dostosować ją do własnych potrzeb tak jak w przypadku innych warstwam.

Można tworzyć tyle warstw ile jest w danym momencie potrzebne, Dia umieści nową warstwę na wierzchu już utworzonych warstw. Warstwy mogą być traktowane jako sterta przezroczystych kartek. Oznacza to, że można zmienić ich kolejność, zdecydować czy będą widoczne, narysować na nich dowolną liczbę obiektów i tak dalej.

Wszystkie te czynności wykonywane są poprzez okno warstw.


?.2. Podstawy zarządzania warstwami

?.2.1. Tworzenie nowej warstwy
?.2.2. Wybieranie warstw
?.2.3. Ustawianie kolejności warstw
?.2.4. Usuwanie warstw


?.2.1. Tworzenie nowej warstwy

Utworzenie nowej warstwy jest możliwe poprzez kliknięcie przycisku Nowa warstwa w lewej dolnej części okna. Jako, że Okno warstw nie jest specyficzne dla diagramu lecz dla aplikacji, należy wybrać w którym diagramie ma być umieszczona nowa warstwa. Aby to zrobić, należy wybrać w górnej częsci okna warstw diagram, który ma otrzymać nową warstwę a następnie dodać ją do tego diagramu.

Nowo utworzona warstwa zostanie umieszczona na wierzchu stosu i stanie się bieżącą warstwą wybranego diagramu.

Możliwe jest następnie modyfikowanie dowolnie wybranego nowego obiektu a także kopiowanie i wklejanie z innych warstw lub diagramów w podobny sposób jak przy działaniach przy diagramie z pojedynczą warstwą.


?.2.2. Wybieranie warstw

Warstwa zostaje aktywowana po jej wybraniu w Oknie warstw. Dokonuje się tego po prostu klikając nazwę warstwy w oknie, po czym zostanie ona podświetlona. Od tej chwili każda wprowadzona zmiana w diagramie dotyczyć będzie tylko tej warstwy.

[Note] Note

Można wybrać w jednym czasie tylko jedną warstwę. Tym sposobem można można wykonywać na niej dowolne działania bez wprowadzania zmian do innych warstw diagramu.


?.2.3. Ustawianie kolejności warstw

Obok przycisku Nowa warstwa w dolnej części Okna warstw, są umieszczone dwa użyteczne przyciski umożliwiające ustawienie kolejności na stosie każdej utworzonej warstwy.

Te dwa przyciski są używane do przenoszenia w górę lub w dół warstw w hierarchii. Przycisk ze strzałką skierowaną do góry przenosi aktywną warstwę w górę, zaś drugi służy do jej obniżania.

Ustalanie kolejności warstw może być użyteczne w przypadku ukrywania niektórych części obiektu za innym obiektem.


?.2.4. Usuwanie warstw

Gdy warstwa nie jest już potrzebna można ją usunąć. Po kliknięciu przycisku Usuń warstwę, usunięte zostaną wszystkie obiekty do niej należące. Oczywiście ta operacja będzie miała wpływ tylko na aktualnie wybraną wartstwę.

Wykonywanie tych działań jest dobrym sposobem na utrzymanie diagramu przejrzystym i jasnym w razie potrzeby eksportowania do innego formatu niż własny format programu Dia.

Należy zwrócić uwagę, że każdy stworzony diagram musi zawierać co najmniej jedną warstwę. Diagram nie zawierający ani jednej powinien być traktowany jako uszkodzony co z kolei uniemożliwia wyeksportowanie czy też zapisanie go do własnego formatu Dia.


?.3. Przeglądanie warstw

Teraz po zapoznaniu się z podstawami manipulacji wartstwami można łatwiej zrozumieć dlaczego warstwy są tak wydajnymi narzędziami w trakcie tworzenia diagramu za pomocą Dia.

Zrozumienie czym są warstwy umożliwi dramatyczne polepszenie jakości oraz efektów wizualnych tworzonych diagramów.

Na przykład, wyobraźmy sobie, że budujemy diagram z wieloma obiektami, jak obwód elektryczny czy diagram UML. Jeśli wszystkie obiekty zostaną umieszczone na jednej wartstwie oznaczającej tło, po chwili otrzymamy szkic, którym nie da się w prosty sposób zarządzać ani nic z nim zrobić. Trudno będzie zmienić w nim cokolwiek, zaś zapamiętanie jaki obiekt jest połączony do jakiego będzie stratą czasu. Czasem będzie ciężko odgadnąć, który obiekt jest połączony z którym w miejscu gdzie są wymieszane wszystkie razem.

Ponieważ Dia jest Budowniczym ustrukturyzowanych diagramów, wszystkie tworzone za pomocą programu diagramy będą naturalnie ustrukturyzowane oraz podzielone na wiele małych części, którymi można zarządzać w sposób łatwiejszy i wydajniejszy niż w przypadku pojedynczego monolitycznego bloku obiektów.

[Note] Note

Z definicji, diagram powinien być ustrukturyzowany, więc podzielenie go na kilka logicznych części nie powinno być tak trudne jak to się wydaje. Do tego celu w pierwszej kolejności powinno się używać warstw. Umożliwiają odseparowanie każdej z tych części na oddzielne przezrocze, dzięki czemu manipulowanie nimi w ulubiony sposób staje się prawdziwą przyjemnością.

Po pierwsze, warstwy mogą mieć zmieniane nazwy aby określić co dana część diagramu reprezentuje a także dając możliwość szybkiej lokalizacji warstwy spośród innych. I najważniejsze, że layers mogą być wyświetlane lub ukrywane w zależności od tego, którą część diagramu użytkownik chce obejrzeć.

Aby zmienić nazwę wartsty należy, w dowolnym momencie podczas tworzenia diagramu, kliknąć podwójnie nazwę wartstwy w oknie wartstw. Zostanie wyświetlone okno Atrybutów wartstwy w którym to miejscu można zmienić nazwę warstwy.

[Tip] Tip

Dobrze jest znaleźć nazwę określającą przeznaczenie warstwy, dzięki czemu szybko można zorientować się na diagramie co do czego służy. W diagramie można tworzyć wiele różnych warstw, Dia nie nakłada ograniczeń na ich ilość, więc można dopasować hierarhię warstw spełniających indywidualne potrzeby.

Ikona oka po lewej stronie nazwy wartstwy przeznaczona jest do ukrywania lub wyświetlania odpowiedniej warstwy. Jeśli z dowolnego powodu użytkownik zdecyduje, że dana warstwa nie powinna być wyświetlana, po prostu wystarczy kliknąć ikonę oka oraz warstwa ze wszystkimi obiektami na niej umieszczonymi zniknie z rysunku.

Wyświetlanie tylko niektórych warstw jest naprawdę użyteczne w przypadku manipulowania małymi częściami diagramu bez zmiany pozostałych elementów. Można także pracować w ten sposób jeśli ma się zamiar wydrukować diagram na różnych stronach lub przy testowaniu różnych ustawień, które mogą mieć wpływ na układ elementu. Eksperymentowanie z różnymi ustawieniami warstw może doprowadzić do tego, że diagram będzie wyglądał ładniej i bardziej przejrzyście.

[Note] Note

W programie Dia, operacje tworzenia i manipulacji Warstwami są tak częste jak operacje rysowania czy też wybierania obiektów diagramu. Należy zapoznać się z nimi ponieważ prawdopodobnie będą one wykonywane za każdym razem po utworzeniu nowego diagramu.


Chapter 9. Authors

Dia - aplikacja została napisana przez Alexandra Larssona zaś aktualnie zarządzana przez Jamesa Henstridge'a. Aby otrzymać więcej informacji dotyczących Dia, odwiedź oficjalną stronę projektu, live.gnome.org/Dia. Wszelkie komentarze, sugestie oraz informacje o znalezionych błędach można wysyłać do bazy danych śledzienia błędów GNOME. (Instrukcje dotyczące wysyłania błędu można znaleźć w Internecie.) Jeśli używasz środowiska GNOME 1.1 lub późniejszej wersji, możesz także używać Narzędzia do Raportowania Błędów (bug-buddy), dostępnego w podmenu Narzędzia Menu główne, aby bezpośrednio wysłać informacje o napotkanych błędach.

Podręcznik został stworzony przez Henry'ego House (<hajhouse@houseag.com>) , Judith Samson (<judith@samsonsource.com>), oraz Kevina Breita (<battery841@mypad.com>). Wszystkie komentarze dotyczące tego podręcznika mozna przesyłać w języku angielskim do Projektu Dokumentacji GNOME za pośrednictwem adresu pocztowego <docs@gnome.org>. Można także dodawać swoje komentarze przez Internet dzięki Tabeli stanu dokumentacji GNOME.

Tumaczenie polskie zostało stworzone w ramach zespołu GNOME PL Team przez Arkadiusza Lipca (<alipiec@elka.pw.edu.pl>). Wszelkie sugestie dotyczące niniejszego tłumaczenia można przesyłać na adres translators@gnome.pl


Chapter 10. Licencja

Table of Contents

10.1. Licencja


10.1. Licencja

Ten program jest oprogramowaniem wolnodostępnym, może być rozpowszechniany zgodnie z zasadami Ogólnej Publicznej Licencji GNU w wersji opublikowanej przez Free Software Foundation; zarówno wersji 2, lub (do wyboru) dowolnej późniejszej wersji.

Ten program jest rozpowszechniany z nadzieją, że będzie użyteczny, jednak BEZ ŻADNEJ GWARANCJI, nawet bez żadnej domniemanej gwarancji wynikającej z nabycia lub przydatności dla konkretnego celu. Więcej szczegółów można znaleźć w Ogólnej Publicznej Licencji GNU.

Kopia Ogólnej Licencji Publicznej GNU jest dołączona jako dodatek do Podręcznika użytkownika GNOME. Można także pobrać kopię Ogólnej Licencji Publicznej GNU ze strony www Free Software Foundation lub po napisaniu na adres

Free Software Foundation, Inc. 59 Temple Place - Suite 330 Boston, MA 02111-1307 USA